/* Page Loader Styles */
.loader-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #ffffff; /* White background for the wrapper */
  z-index: 99999999999;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top: var(
    --header-height,
    0
  ); /* Push the loader down by header height */
  padding-bottom: var(
    --header-height,
    0
  ); /* Push the loader down by header height */
  transition:
    opacity 0.5s ease,
    visibility 0.5s ease;
}

.loader-wrapper .container {
  height: 100%;
}

.loader-wrapper.loader-hidden {
  opacity: 0;
  visibility: hidden;
}

.page-loader {
  position: relative;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    78.16deg,
    #00818d 2.08%,
    #0b828d 16.4%,
    #288790 41.74%,
    #588e94 74.79%,
    #97989a 112.24%
  );
  border-radius: 1.25rem; /* 20px */
  display: flex;
  justify-content: center;
  align-items: center;
}

.page-loader.loader-hidden {
  opacity: 0;
  visibility: hidden;
}

.page-loader img {
  width: 9.375rem; /* 150px */
  height: auto;
  opacity: 0;
  transform: translateY(3.125rem); /* 50px */
  animation: slideUpFadeIn 1s cubic-bezier(0.165, 0.84, 0.44, 1) 0.5s forwards;
}

@keyframes slideUpFadeIn {
  0% {
    opacity: 0;
    transform: translateY(3.125rem); /* 50px */
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}

body.no-scroll {
  overflow: hidden;
}
